#ifndef TWN_INPUT_H
#define TWN_INPUT_H

#include "twn_types.h"
#include "twn_engine_api.h"
#include "twn_control.h"

#include <stdint.h>
#include <stdbool.h>
#include <stddef.h>


TWN_API void input_action(const char *name, Control control);
TWN_API bool input_action_pressed(const char *name);
TWN_API bool input_action_just_pressed(const char *name);
TWN_API bool input_action_just_released(const char *name);
TWN_API Vec2 input_action_position(const char *name);
TWN_API void input_mouse_captured(bool enabled);

#endif
